Loading...
Searching...
No Matches
accountopt.h File Reference
libpurple

Account Options API. More...

`#include "prefs.h"`

Go to the source code of this file.

## Data Structures

struct | PurpleAccountOption
| An option for an account. More...
struct | PurpleAccountUserSplit
| A username split. More...

## Functions

Account Option API
PurpleAccountOption * | purple_account_option_new (PurplePrefType type, const char *text, const char *pref_name)
| Creates a new account option.
PurpleAccountOption * | purple_account_option_bool_new (const char *text, const char *pref_name, gboolean default_value)
| Creates a new boolean account option.
PurpleAccountOption * | purple_account_option_int_new (const char *text, const char *pref_name, int default_value)
| Creates a new integer account option.
PurpleAccountOption * | purple_account_option_string_new (const char *text, const char *pref_name, const char *default_value)
| Creates a new string account option.
PurpleAccountOption * | purple_account_option_list_new (const char *text, const char *pref_name, GList *list)
| Creates a new list account option.
void | purple_account_option_destroy (PurpleAccountOption *option)
| Destroys an account option.
void | purple_account_option_set_default_bool (PurpleAccountOption *option, gboolean value)
| Sets the default boolean value for an account option.
void | purple_account_option_set_default_int (PurpleAccountOption *option, int value)
| Sets the default integer value for an account option.
void | purple_account_option_set_default_string (PurpleAccountOption *option, const char *value)
| Sets the default string value for an account option.
void | purple_account_option_set_masked (PurpleAccountOption *option, gboolean masked)
| Sets the masking for an account option.
void | purple_account_option_set_list (PurpleAccountOption *option, GList *values)
| Sets the list values for an account option.
void | purple_account_option_add_list_item (PurpleAccountOption *option, const char *key, const char *value)
| Adds an item to a list account option.
PurplePrefType | purple_account_option_get_type (const PurpleAccountOption *option)
| Returns the specified account option's type.
const char * | purple_account_option_get_text (const PurpleAccountOption *option)
| Returns the text for an account option.
const char * | purple_account_option_get_setting (const PurpleAccountOption *option)
| Returns the name of an account option.
gboolean | purple_account_option_get_default_bool (const PurpleAccountOption *option)
| Returns the default boolean value for an account option.
int | purple_account_option_get_default_int (const PurpleAccountOption *option)
| Returns the default integer value for an account option.
const char * | purple_account_option_get_default_string (const PurpleAccountOption *option)
| Returns the default string value for an account option.
const char * | purple_account_option_get_default_list_value (const PurpleAccountOption *option)
| Returns the default string value for a list account option.
gboolean | purple_account_option_get_masked (const PurpleAccountOption *option)
| Returns whether an option's value should be masked from view, like a password.
GList * | purple_account_option_get_list (const PurpleAccountOption *option)
| Returns the list values for an account option.
Account User Split API
PurpleAccountUserSplit * | purple_account_user_split_new (const char *text, const char *default_value, char sep)
| Creates a new account username split.
void | purple_account_user_split_destroy (PurpleAccountUserSplit *split)
| Destroys an account username split.
const char * | purple_account_user_split_get_text (const PurpleAccountUserSplit *split)
| Returns the text for an account username split.
const char * | purple_account_user_split_get_default_value (const PurpleAccountUserSplit *split)
| Returns the default string value for an account split.
char | purple_account_user_split_get_separator (const PurpleAccountUserSplit *split)
| Returns the field separator for an account split.
gboolean | purple_account_user_split_get_reverse (const PurpleAccountUserSplit *split)
| Returns the 'reverse' value for an account split.
void | purple_account_user_split_set_reverse (PurpleAccountUserSplit *split, gboolean reverse)
| Sets the 'reverse' value for an account split.

## Detailed Description

Account Options API.

Definition in file accountopt.h.

## Function Documentation

## purple_account_option_add_list_item()

void purple_account_option_add_list_item | ( | PurpleAccountOption * | option,
|  | const char * | key,
|  | const char * | value )

Adds an item to a list account option.

Parameters

  option | The account option.
  key | The key.
  value | The value.

## purple_account_option_bool_new()

PurpleAccountOption * purple_account_option_bool_new | ( | const char * | text,
|  | const char * | pref_name,
|  | gboolean | default_value )

Creates a new boolean account option.

Parameters

  text | The text of the option.
  pref_name | The account preference name for the option.
  default_value | The default value.

Returns
  The account option.

## purple_account_option_destroy()

void purple_account_option_destroy | ( | PurpleAccountOption * | option | ) |

Destroys an account option.

Parameters

  option | The option to destroy.

## purple_account_option_get_default_bool()

gboolean purple_account_option_get_default_bool | ( | const PurpleAccountOption * | option | ) |

Returns the default boolean value for an account option.

Parameters

  option | The account option.

Returns
  The default boolean value.

## purple_account_option_get_default_int()

int purple_account_option_get_default_int | ( | const PurpleAccountOption * | option | ) |

Returns the default integer value for an account option.

Parameters

  option | The account option.

Returns
  The default integer value.

## purple_account_option_get_default_list_value()

const char * purple_account_option_get_default_list_value | ( | const PurpleAccountOption * | option | ) |

Returns the default string value for a list account option.

Parameters

  option | The account option.

Returns
  The default list string value.

## purple_account_option_get_default_string()

const char * purple_account_option_get_default_string | ( | const PurpleAccountOption * | option | ) |

Returns the default string value for an account option.

Parameters

  option | The account option.

Returns
  The default string value.

## purple_account_option_get_list()

GList * purple_account_option_get_list | ( | const PurpleAccountOption * | option | ) |

Returns the list values for an account option.

Parameters

  option | The account option.

Note
  The return value of this function must not be modified or freed.

Returns
  A list of PurpleKeyValuePair, mapping the human-readable description of the value to the (const char *) that should be passed to purple_account_set_string() to set the option.

## purple_account_option_get_masked()

gboolean purple_account_option_get_masked | ( | const PurpleAccountOption * | option | ) |

Returns whether an option's value should be masked from view, like a password.

If so, the UI might display each character of the option as a '*' (for example).

Parameters

  option | The account option.

Returns
  TRUE if the option's value should be obscured.

## purple_account_option_get_setting()

const char * purple_account_option_get_setting | ( | const PurpleAccountOption * | option | ) |

Returns the name of an account option.

This corresponds to the `pref_name` parameter supplied to purple_account_option_new() or one of the type-specific constructors.

Parameters

  option | The account option.

Returns
  The option's name.

## purple_account_option_get_text()

const char * purple_account_option_get_text | ( | const PurpleAccountOption * | option | ) |

Returns the text for an account option.

Parameters

  option | The account option.

Returns
  The account option's text.

## purple_account_option_get_type()

PurplePrefType purple_account_option_get_type | ( | const PurpleAccountOption * | option | ) |

Returns the specified account option's type.

Parameters

  option | The account option.

Returns
  The account option's type.

## purple_account_option_int_new()

PurpleAccountOption * purple_account_option_int_new | ( | const char * | text,
|  | const char * | pref_name,
|  | int | default_value )

Creates a new integer account option.

Parameters

  text | The text of the option.
  pref_name | The account preference name for the option.
  default_value | The default value.

Returns
  The account option.

## purple_account_option_list_new()

PurpleAccountOption * purple_account_option_list_new | ( | const char * | text,
|  | const char * | pref_name,
|  | GList * | list )

Creates a new list account option.

The list passed will be owned by the account option, and the strings inside will be freed automatically.

The list is a list of PurpleKeyValuePair items. The key is the label that should be displayed to the user, and the (const char *) value is the internal ID that should be passed to purple_account_set_string() to choose that value.

Parameters

  text | The text of the option.
  pref_name | The account preference name for the option.
  list | The key, value list.

Returns
  The account option.

## purple_account_option_new()

PurpleAccountOption * purple_account_option_new | ( | PurplePrefType | type,
|  | const char * | text,
|  | const char * | pref_name )

Creates a new account option.

If you know what type will be in advance, consider using purple_account_option_bool_new(), purple_account_option_int_new(), purple_account_option_string_new() or purple_account_option_list_new() (as appropriate) instead.

Parameters

  type | The type of option.
  text | The text of the option.
  pref_name | The account preference name for the option.

Returns
  The account option.

## purple_account_option_set_default_bool()

void purple_account_option_set_default_bool | ( | PurpleAccountOption * | option,
|  | gboolean | value )

Sets the default boolean value for an account option.

Parameters

  option | The account option.
  value | The default boolean value.

## purple_account_option_set_default_int()

void purple_account_option_set_default_int | ( | PurpleAccountOption * | option,
|  | int | value )

Sets the default integer value for an account option.

Parameters

  option | The account option.
  value | The default integer value.

## purple_account_option_set_default_string()

void purple_account_option_set_default_string | ( | PurpleAccountOption * | option,
|  | const char * | value )

Sets the default string value for an account option.

Parameters

  option | The account option.
  value | The default string value.

## purple_account_option_set_list()

void purple_account_option_set_list | ( | PurpleAccountOption * | option,
|  | GList * | values )

Sets the list values for an account option.

The list passed will be owned by the account option, and the strings inside will be freed automatically.

The list is in key, value pairs. The key is the ID stored and used internally, and the value is the label displayed.

Parameters

  option | The account option.
  values | The default list value.

## purple_account_option_set_masked()

void purple_account_option_set_masked | ( | PurpleAccountOption * | option,
|  | gboolean | masked )

Sets the masking for an account option.

Setting this to TRUE acts as a hint to the UI that the option's value should be obscured from view, like a password.

Parameters

  option | The account option.
  masked | The masking.

## purple_account_option_string_new()

PurpleAccountOption * purple_account_option_string_new | ( | const char * | text,
|  | const char * | pref_name,
|  | const char * | default_value )

Creates a new string account option.

Parameters

  text | The text of the option.
  pref_name | The account preference name for the option.
  default_value | The default value.

Returns
  The account option.

## purple_account_user_split_destroy()

void purple_account_user_split_destroy | ( | PurpleAccountUserSplit * | split | ) |

Destroys an account username split.

Parameters

  split | The split to destroy.

## purple_account_user_split_get_default_value()

const char * purple_account_user_split_get_default_value | ( | const PurpleAccountUserSplit * | split | ) |

Returns the default string value for an account split.

Parameters

  split | The account username split.

Returns
  The default string.

## purple_account_user_split_get_reverse()

gboolean purple_account_user_split_get_reverse | ( | const PurpleAccountUserSplit * | split | ) |

Returns the 'reverse' value for an account split.

Parameters

  split | The account username split.

Returns
  The 'reverse' value.

## purple_account_user_split_get_separator()

char purple_account_user_split_get_separator | ( | const PurpleAccountUserSplit * | split | ) |

Returns the field separator for an account split.

Parameters

  split | The account username split.

Returns
  The field separator.

## purple_account_user_split_get_text()

const char * purple_account_user_split_get_text | ( | const PurpleAccountUserSplit * | split | ) |

Returns the text for an account username split.

Parameters

  split | The account username split.

Returns
  The account username split's text.

## purple_account_user_split_new()

PurpleAccountUserSplit * purple_account_user_split_new | ( | const char * | text,
|  | const char * | default_value,
|  | char | sep )

Creates a new account username split.

Parameters

  text | The text of the option.
  default_value | The default value.
  sep | The field separator.

Returns
  The new user split.

## purple_account_user_split_set_reverse()

void purple_account_user_split_set_reverse | ( | PurpleAccountUserSplit * | split,
|  | gboolean | reverse )

Sets the 'reverse' value for an account split.

Parameters

  split | The account username split.
  reverse | The 'reverse' value